Package org.springframework.aop.aspectj

# Class AspectJExpressionPointcutAdvisor

java.lang.Object
org.springframework.aop.support.AbstractPointcutAdvisor
org.springframework.aop.support.AbstractGenericPointcutAdvisor
org.springframework.aop.aspectj.AspectJExpressionPointcutAdvisor

All Implemented Interfaces:
  `Serializable`, `Advisor`, `PointcutAdvisor`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.core.Ordered`

public class AspectJExpressionPointcutAdvisor extends AbstractGenericPointcutAdvisor implements org.springframework.beans.factory.BeanFactoryAware
Spring AOP Advisor that can be used for any AspectJ pointcut expression.

Since:
  2.0
Author:
  Rob Harrop
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`AspectJExpressionPointcutAdvisor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpression()`
`String`
`getLocation()`
`Pointcut`
`getPointcut()`
Get the Pointcut that drives this advisor.
`void`
`setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
`void`
`setExpression(String expression)`
`void`
`setLocation(String location)`
`void`
`setParameterNames(String... names)`
`void`
`setParameterTypes(Class<?>... types)`

### Methods inherited from class org.springframework.aop.support.AbstractGenericPointcutAdvisor

`getAdvice, setAdvice, toString`

### Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor

`equals, getOrder, hashCode, setOrder`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.Advisor

`isPerInstance`

## Constructor Details

### AspectJExpressionPointcutAdvisor

public AspectJExpressionPointcutAdvisor()

## Method Details

### setExpression

public void setExpression(@Nullable String expression)

### getExpression

@Nullable public String getExpression()

### setLocation

public void setLocation(@Nullable String location)

### getLocation

@Nullable public String getLocation()

### setParameterNames

public void setParameterNames(String... names)

### setParameterTypes

public void setParameterTypes(Class<?>... types)

### setBeanFactory

public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)

Specified by:
  `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`

### getPointcut

public Pointcut getPointcut()
Description copied from interface: `PointcutAdvisor`
Get the Pointcut that drives this advisor.

Specified by:
  `getPointcut` in interface `PointcutAdvisor`